Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgParticle::SmokeEffect Class Reference

Inheritance diagram for osgParticle::SmokeEffect:

[legend]
List of all members.

## Public Member Functions
| SmokeEffect (bool automaticSetup=true)
| SmokeEffect (const osg::Vec3 &position, float scale=1.0f, float intensity=1.0f)
| SmokeEffect (const SmokeEffect &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Node (osgParticle, SmokeEffect)
virtual void | setDefaults ()
virtual void | setUpEmitterAndProgram ()
virtual Emitter * | getEmitter ()
virtual const Emitter * | getEmitter () const
virtual Program * | getProgram ()
virtual const Program * | getProgram () const
## Protected Member Functions
virtual | ~SmokeEffect ()
## Protected Attributes
osg::ref_ptr< ModularEmitter > | _emitter
osg::ref_ptr< FluidProgram > | _program

## Constructor & Destructor Documentation

osgParticle::SmokeEffect::SmokeEffect | ( | bool | automaticSetup = true | ) |

osgParticle::SmokeEffect::SmokeEffect | ( | const osg::Vec3 & | position,
|  | float | scale = 1.0f,
|  | float | intensity = 1.0f
| ) |

osgParticle::SmokeEffect::SmokeEffect | ( | const SmokeEffect & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

virtual osgParticle::SmokeEffect::~SmokeEffect | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const Emitter* osgParticle::SmokeEffect::getEmitter | ( |  | ) | const`[inline, virtual]`

| Implements osgParticle::ParticleEffect.

virtual Emitter* osgParticle::SmokeEffect::getEmitter | ( |  | ) | `[inline, virtual]`

| Implements osgParticle::ParticleEffect.

virtual const Program* osgParticle::SmokeEffect::getProgram | ( |  | ) | const`[inline, virtual]`

| Implements osgParticle::ParticleEffect.

virtual Program* osgParticle::SmokeEffect::getProgram | ( |  | ) | `[inline, virtual]`

| Implements osgParticle::ParticleEffect.

osgParticle::SmokeEffect::META_Node | ( | osgParticle | ,
|  | SmokeEffect |
| ) |

virtual void osgParticle::SmokeEffect::setDefaults | ( |  | ) | `[virtual]`

| Reimplemented from osgParticle::ParticleEffect.

virtual void osgParticle::SmokeEffect::setUpEmitterAndProgram | ( |  | ) | `[virtual]`

| Implements osgParticle::ParticleEffect.

## Member Data Documentation

osg::ref_ptr<ModularEmitter> osgParticle::SmokeEffect::_emitter`[protected]`

osg::ref_ptr<FluidProgram> osgParticle::SmokeEffect::_program`[protected]`

The documentation for this class was generated from the following file:

- SmokeEffect